core::arch::x86

# Function _mm_testc_si128

1.27.0 · Source

    pub unsafe fn _mm_testc_si128(a: __m128i, mask: __m128i) -> i32

Available on (x86 or x86-64) and target feature `sse4.1` and x86 only.
Expand description

Tests whether the specified bits in a 128-bit integer vector are all ones.

Arguments:

- `a` - A 128-bit integer vector containing the bits to be tested.
- `mask` - A 128-bit integer vector selecting which bits to test in operand `a`.

Returns:

- `1` - if the specified bits are all ones,
- `0` - otherwise.

Intel’s documentation